org.springframework.web.server

## Class ServerWebInputException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.springframework.core.NestedRuntimeException
        - - org.springframework.web.server.ResponseStatusException
          - - org.springframework.web.server.ServerWebInputException

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    WebExchangeBindException

      public class ServerWebInputException
      extends ResponseStatusException

  Exception for errors that fit response status 400 (bad request) for use in Spring Web applications. The exception provides additional fields (e.g. an optional `MethodParameter` if related to the error).
  Since:
    5.0
  Author:
    Rossen Stoyanchev
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServerWebInputException(String reason)` Constructor with an explanation only.
    `ServerWebInputException(String reason, MethodParameter parameter)` Constructor for a 400 error linked to a specific `MethodParameter`.
    `ServerWebInputException(String reason, MethodParameter parameter, Throwable cause)` Constructor for a 400 error with a root cause.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `MethodParameter` | `getMethodParameter()` Return the `MethodParameter` associated with this error, if any.

    - ### Methods inherited from class org.springframework.web.server.ResponseStatusException

      `getHeaders, getMessage, getRawStatusCode, getReason, getResponseHeaders, getStatus`

    - ### Methods inherited from class org.springframework.core.NestedRuntimeException

      `contains, getMostSpecificCause, getRootCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ServerWebInputException

          public ServerWebInputException(String reason)

      Constructor with an explanation only.

    - #### ServerWebInputException

          public ServerWebInputException(String reason,
                                         @Nullable
                                         MethodParameter parameter)

      Constructor for a 400 error linked to a specific `MethodParameter`.

    - #### ServerWebInputException

          public ServerWebInputException(String reason,
                                         @Nullable
                                         MethodParameter parameter,
                                         @Nullable
                                         Throwable cause)

      Constructor for a 400 error with a root cause.

  - ### Method Detail

    - #### getMethodParameter

          @Nullable
          public MethodParameter getMethodParameter()

      Return the `MethodParameter` associated with this error, if any.